Index: tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid-with-minimum-distance-to-surface.at
===================================================================
--- tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid-with-minimum-distance-to-surface.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
+++ tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid-with-minimum-distance-to-surface.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -0,0 +1,32 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### fill regular grid with surface with minimum distance
+
+AT_SETUP([Filling - Fill regular grid with surface and minimum distance])
+AT_KEYWORDS([filling fill-regular-grid add-empty-boundary minimum-distance])
+
+file=amylose_filled_water.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/amylose_straightened_more.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --add-empty-boundary .25,.25,.25 --select-all-atoms --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.pdb --select-molecule-by-order -1 --fill-regular-grid --mesh-size 3 3 12 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 2.5 --min-distance 1. --DoRotate 1 --random-molecule-displacement 0.1 --no-dry-run --store-session session-fill-regular-grid-with-minimum-distance-to-surface.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid-with-minimum-distance-to-surface.py >session-fill-regular-grid-with-minimum-distance-to-surface_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fill-regular-grid-with-minimum-distance-to-surface_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I'.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Filling/testsuite-filling.at
===================================================================
--- tests/GuiChecks/Filling/testsuite-filling.at	(revision 50d49dca91aa5db281d312ca5ee0fbad52557a21)
+++ tests/GuiChecks/Filling/testsuite-filling.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -34,4 +34,5 @@
 m4_include([Filling/RegularGrid/testsuite-fill-regular-grid.at])
 m4_include([Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at])
+m4_include([Filling/RegularGrid/testsuite-fill-regular-grid-with-minimum-distance-to-surface.at])
 
 # filling shape's volumes
Index: tests/GuiChecks/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at
===================================================================
--- tests/GuiChecks/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at	(revision 50d49dca91aa5db281d312ca5ee0fbad52557a21)
+++ tests/GuiChecks/Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -79,4 +79,17 @@
 AT_CLEANUP
 
+AT_SETUP([Fragmentation - Analyse long-range fragmentation results with OBC and forces])
+AT_KEYWORDS([fragmentation analyse-fragment-results forces longrange])
+
+file=BondFragmentLongRangeResults_OBC.dat
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --analyse-fragment-results --fragment-resultfile $file --no-dry-run --store-session session-fragmentation-analyse-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-analyse-fragment-results.py >session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/OBC/alkane-3.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
 #
 # BondFragmentLongRangeResults.dat is created like this:
@@ -104,2 +117,15 @@
 
 AT_CLEANUP
+
+AT_SETUP([Fragmentation - Analyse long-range fragmentation results with PBC and forces])
+AT_KEYWORDS([fragmentation analyse-fragment-results forces longrange])
+
+file=BondFragmentLongRangeResults_PBC.dat
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/pre/alkane-3.pdb -o tremolo --set-tremolo-atomdata "Id type x=3 u=3 F=3" --reset 1 --analyse-fragment-results --fragment-resultfile $file --no-dry-run --store-session session-fragmentation-analyse-fragment-results.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-fragmentation-analyse-fragment-results.py >session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-fragmentation-analyse-fragment-results_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff alkane-3.data ${abs_top_srcdir}/tests/regression/Fragmentation/AnalyseFragmentationResults/post/LongRange/PBC/alkane-3.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Makefile.am
===================================================================
--- tests/GuiChecks/Makefile.am	(revision 50d49dca91aa5db281d312ca5ee0fbad52557a21)
+++ tests/GuiChecks/Makefile.am	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -5,200 +5,201 @@
 TESTSCRIPTS = \
 	$(srcdir)/./Testlauncher/testsuite-testlauncher-works.at \
-	$(srcdir)/./Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
-	$(srcdir)/./Fragmentation/testsuite-fragmentation.at \
-	$(srcdir)/./Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at \
-	$(srcdir)/./Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at \
-	$(srcdir)/./Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at \
-	$(srcdir)/./Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at \
-	$(srcdir)/./Atoms/ChangeElement/testsuite-atoms-change-element.at \
-	$(srcdir)/./Atoms/Add/testsuite-atoms-add.at \
-	$(srcdir)/./Atoms/Remove/testsuite-atoms-remove.at \
-	$(srcdir)/./Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at \
-	$(srcdir)/./Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at \
-	$(srcdir)/./Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at \
-	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate_carbon.at \
-	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at \
-	$(srcdir)/./Atoms/RemoveSphere/testsuite-atoms-remove-sphere.at \
-	$(srcdir)/./Atoms/Mirror/testsuite-atoms-mirror.at \
-	$(srcdir)/./Atoms/testsuite-atoms.at \
-	$(srcdir)/./Atoms/Translation/testsuite-atoms-translation.at \
-	$(srcdir)/./Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at \
-	$(srcdir)/./Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at \
-	$(srcdir)/./Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
-	$(srcdir)/./Tesselation/testsuite-tesselation.at \
-	$(srcdir)/./Tesselation/Convex/testsuite-tesselation-convex-envelope.at \
-	$(srcdir)/./Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at \
+	$(srcdir)/./Options/ElementsDb/testsuite-options-elements-db.at \
+	$(srcdir)/./Options/SetDefaultName/testsuite-options-set-default-name.at \
+	$(srcdir)/./Options/Help/testsuite-options-help.at \
+	$(srcdir)/./Options/SetWorldTime/testsuite-options-set-world-time.at \
+	$(srcdir)/./Options/FastParsing/testsuite-options-fast-parsing.at \
+	$(srcdir)/./Options/Verbosity/testsuite-options-verbosity.at \
+	$(srcdir)/./Options/testsuite-options.at \
+	$(srcdir)/./Options/BondLengthTable/testsuite-options-bond-length-table.at \
+	$(srcdir)/./Options/Warranty/testsuite-options-warranty.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at \
+	$(srcdir)/./Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at \
+	$(srcdir)/./Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at \
+	$(srcdir)/./Selection/Molecules/testsuite-selection-molecules.at \
+	$(srcdir)/./Selection/Molecules/PushMoleculeSelection/testsuite-selection-push-molecule-selection.at \
+	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at \
+	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at \
+	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at \
+	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at \
+	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at \
+	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at \
+	$(srcdir)/./Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at \
+	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-select-atom-by-order.at \
+	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-unselect-atom-by-order.at \
+	$(srcdir)/./Selection/Atoms/testsuite-selection-atoms.at \
+	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at \
+	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at \
+	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at \
+	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at \
+	$(srcdir)/./Selection/Atoms/PushAtomSelection/testsuite-selection-push-atom-selection.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at \
+	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at \
+	$(srcdir)/./Selection/Atoms/InvertAtoms/testsuite-selection-invert-atoms.at \
+	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at \
+	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at \
+	$(srcdir)/./Selection/Atoms/PopAtomSelection/testsuite-selection-pop-atom-selection.at \
+	$(srcdir)/./Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id-multiple.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at \
+	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id-multiple.at \
+	$(srcdir)/./Selection/testsuite-selection.at \
+	$(srcdir)/./Molecules/StretchBond/testsuite-molecules-stretch-bond.at \
+	$(srcdir)/./Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at \
+	$(srcdir)/./Molecules/testsuite-molecules.at \
+	$(srcdir)/./Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
+	$(srcdir)/./Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at \
+	$(srcdir)/./Molecules/VerletIntegration/testsuite-molecules-verlet-integration.at \
+	$(srcdir)/./Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
+	$(srcdir)/./Molecules/Copy/testsuite-molecules-copy-molecule.at \
+	$(srcdir)/./Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at \
+	$(srcdir)/./Molecules/Remove/testsuite-molecules-remove.at \
+	$(srcdir)/./Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at \
+	$(srcdir)/./Molecules/SaveAdjacency/testsuite-molecules-save-adjacency.at \
+	$(srcdir)/./Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at \
+	$(srcdir)/./Molecules/SaveBonds/testsuite-molecules-save-bonds.at \
+	$(srcdir)/./Molecules/SaveTemperature/testsuite-molecules-save-temperature.at \
+	$(srcdir)/./Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
+	$(srcdir)/./Molecules/BondFile/testsuite-molecules-fragmentation-bond-file.at \
+	$(srcdir)/./Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at \
+	$(srcdir)/./Molecules/Translation/testsuite-molecules-translation.at \
+	$(srcdir)/./Analysis/testsuite-analysis.at \
+	$(srcdir)/./Analysis/SurfaceCorrelation/testsuite-analysis-surface-correlation.at \
+	$(srcdir)/./Analysis/PointCorrelation/testsuite-analysis-point-correlation.at \
+	$(srcdir)/./Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at \
+	$(srcdir)/./Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at \
+	$(srcdir)/./Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at \
+	$(srcdir)/./Analysis/DipoleAngularCorrelation-PeriodicBoundaries/testsuite-analysis-dipole-angular-correlation-periodic-boundaries.at \
+	$(srcdir)/./Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at \
+	$(srcdir)/./Analysis/PrincipalAxisSystem/testsuite-analysis-principal-axis-system.at \
+	$(srcdir)/./Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-capital_letters_element.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-empty.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-multiply.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-save.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-with-conects.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-CONECTs_empty_space.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at \
+	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-various.at \
+	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at \
+	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-resetatomdata.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-improper.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-empty.at \
+	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load.at \
+	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load-multiply.at \
+	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-empty.at \
+	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-save.at \
+	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load.at \
+	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at \
+	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at \
+	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at \
 	$(srcdir)/./Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-reference.at \
 	$(srcdir)/./Parser/SetParameters/Psi3/testsuite-parser-set-parameters-psi3-wavefunction.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at \
-	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at \
 	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-theory.at \
 	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-none.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-basis.at \
 	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc.at \
-	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load.at \
-	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-empty.at \
-	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-save.at \
-	$(srcdir)/./Parser/Psi3/testsuite-parser-psi3-load-multiply.at \
-	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-save.at \
+	$(srcdir)/./Parser/SetParameters/Mpqc/testsuite-parser-set-parameters-mpqc-maxiterations.at \
 	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-empty.at \
 	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-load.at \
 	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-load-multiply.at \
-	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-resetatomdata.at \
-	$(srcdir)/./Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at \
+	$(srcdir)/./Parser/Mpqc/testsuite-parser-mpqc-save.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-various.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-save.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-multiply.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load.at \
+	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-empty.at \
+	$(srcdir)/./Parser/Tremolo-Exttypes/testsuite-parser-tremolo-save-selected-atoms-as-exttypes.at \
+	$(srcdir)/./Parser/testsuite-parser.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at \
+	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-empty.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-load-multiply.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-load.at \
-	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-empty.at \
 	$(srcdir)/./Parser/Pcp/testsuite-parser-pcp-save.at \
-	$(srcdir)/./Parser/Tremolo-Exttypes/testsuite-parser-tremolo-save-selected-atoms-as-exttypes.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-multiply.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load-various.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-empty.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-multiple-timesteps.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-save.at \
-	$(srcdir)/./Parser/Xyz/testsuite-parser-xyz-load.at \
-	$(srcdir)/./Parser/testsuite-parser.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-multiple-timesteps.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-capital_letters_element.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-empty.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-with-conects.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-CONECTs_empty_space.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-various.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-load-multiply.at \
-	$(srcdir)/./Parser/Pdb/testsuite-parser-pdb-save.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-save.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-empty.at \
-	$(srcdir)/./Parser/Tremolo/testsuite-parser-tremolo-improper.at \
-	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials.at \
-	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-save.at \
-	$(srcdir)/./Parser/Tremolo-Potentials/testsuite-parser-tremolo-potentials-load.at \
-	$(srcdir)/./Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at \
-	$(srcdir)/./Analysis/SurfaceCorrelation/testsuite-analysis-surface-correlation.at \
-	$(srcdir)/./Analysis/testsuite-analysis.at \
-	$(srcdir)/./Analysis/PrincipalAxisSystem/testsuite-analysis-principal-axis-system.at \
-	$(srcdir)/./Analysis/DipoleCorrelation-Empty/testsuite-analysis-dipole-correlation-empty.at \
-	$(srcdir)/./Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at \
-	$(srcdir)/./Analysis/PointCorrelation/testsuite-analysis-point-correlation.at \
-	$(srcdir)/./Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at \
-	$(srcdir)/./Analysis/DipoleAngularCorrelation-PeriodicBoundaries/testsuite-analysis-dipole-angular-correlation-periodic-boundaries.at \
-	$(srcdir)/./Analysis/DipoleCorrelation-DiscreteAngles/testsuite-analysis-dipole-correlation-discrete-angles.at \
-	$(srcdir)/./Domain/RepeatBox/testsuite-domain-repeat-box.at \
-	$(srcdir)/./Domain/CenterInBox/testsuite-domain-center-in-box.at \
-	$(srcdir)/./Domain/ChangeBox/testsuite-domain-change-box.at \
-	$(srcdir)/./Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
-	$(srcdir)/./Domain/testsuite-domain.at \
-	$(srcdir)/./Domain/BoundInBox/testsuite-domain-bound-in-box.at \
-	$(srcdir)/./Domain/ScaleBox/testsuite-domain-scale-box.at \
-	$(srcdir)/./Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at \
-	$(srcdir)/./Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
-	$(srcdir)/./Selection/Atoms/testsuite-selection-atoms.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id-multiple.at \
-	$(srcdir)/./Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id-multiple.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at \
-	$(srcdir)/./Selection/Atoms/PushAtomSelection/testsuite-selection-push-atom-selection.at \
-	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at \
-	$(srcdir)/./Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at \
-	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at \
-	$(srcdir)/./Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at \
-	$(srcdir)/./Selection/Atoms/InvertAtoms/testsuite-selection-invert-atoms.at \
-	$(srcdir)/./Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at \
-	$(srcdir)/./Selection/Atoms/PopAtomSelection/testsuite-selection-pop-atom-selection.at \
-	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at \
-	$(srcdir)/./Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at \
-	$(srcdir)/./Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at \
-	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-select-atom-by-order.at \
-	$(srcdir)/./Selection/Atoms/AtomByOrder/testsuite-selection-unselect-atom-by-order.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-unselect-molecules-by-name.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByName/testsuite-selection-select-molecules-by-name.at \
-	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-select-atoms-molecules.at \
-	$(srcdir)/./Selection/Molecules/MoleculeOfAtom/testsuite-selection-unselect-atoms-molecules.at \
-	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-unselect-all-molecules.at \
-	$(srcdir)/./Selection/Molecules/AllMolecules/testsuite-selection-select-all-molecules.at \
-	$(srcdir)/./Selection/Molecules/testsuite-selection-molecules.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-select-molecules-by-formula.at \
-	$(srcdir)/./Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at \
-	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-unselect-molecule-by-id.at \
-	$(srcdir)/./Selection/Molecules/MoleculeById/testsuite-selection-select-molecule-by-id.at \
-	$(srcdir)/./Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at \
-	$(srcdir)/./Selection/Molecules/PushMoleculeSelection/testsuite-selection-push-molecule-selection.at \
-	$(srcdir)/./Selection/Molecules/PopMoleculeSelection/testsuite-selection-pop-molecule-selection.at \
-	$(srcdir)/./Selection/Molecules/ClearMolecules/testsuite-selection-clear-molecules.at \
-	$(srcdir)/./Selection/testsuite-selection.at \
+	$(srcdir)/./Fragmentation/AnalyseFragmentationResults/testsuite-fragmentation-analyse-fragment-results.at \
+	$(srcdir)/./Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
+	$(srcdir)/./Fragmentation/FragmentationAutomation/testsuite-fragmentation-fragmentation-automation.at \
+	$(srcdir)/./Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at \
+	$(srcdir)/./Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at \
+	$(srcdir)/./Fragmentation/testsuite-fragmentation.at \
+	$(srcdir)/./Bond/Add/testsuite-bond-add_multiple.at \
+	$(srcdir)/./Bond/Add/testsuite-bond-add.at \
+	$(srcdir)/./Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at \
+	$(srcdir)/./Bond/Remove/testsuite-bond-remove.at \
+	$(srcdir)/./Bond/Remove/testsuite-bond-remove_multiple.at \
+	$(srcdir)/./Bond/testsuite-bond.at \
+	$(srcdir)/./Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at \
+	$(srcdir)/./Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at \
+	$(srcdir)/./Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at \
+	$(srcdir)/./Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at \
 	$(srcdir)/./Graph/testsuite-graph.at \
 	$(srcdir)/./Graph/CreateAdjacency/testsuite-graph-create-adjacency.at \
-	$(srcdir)/./Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at \
-	$(srcdir)/./Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at \
-	$(srcdir)/./Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at \
-	$(srcdir)/./Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at \
-	$(srcdir)/./RandomNumbers/testsuite-randomnumbers.at \
-	$(srcdir)/./RandomNumbers/Engine/testsuite-set-random-number-engine.at \
-	$(srcdir)/./RandomNumbers/Distribution/testsuite-set-random-number-distribution.at \
+	$(srcdir)/./Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at \
 	$(srcdir)/./Potential/testsuite-potential.at \
-	$(srcdir)/./Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at \
 	$(srcdir)/./Potential/FitPotential/testsuite-potential-fit-potential.at \
-	$(srcdir)/./Bond/Add/testsuite-bond-add.at \
-	$(srcdir)/./Bond/Add/testsuite-bond-add_multiple.at \
-	$(srcdir)/./Bond/Remove/testsuite-bond-remove_multiple.at \
-	$(srcdir)/./Bond/Remove/testsuite-bond-remove.at \
-	$(srcdir)/./Bond/testsuite-bond.at \
-	$(srcdir)/./Bond/AdjacencyMatcher/testsuite-bond-adjacencymatcher.at \
-	$(srcdir)/./Molecules/SaveBonds/testsuite-molecules-save-bonds.at \
-	$(srcdir)/./Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at \
-	$(srcdir)/./Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
-	$(srcdir)/./Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at \
-	$(srcdir)/./Molecules/BondFile/testsuite-molecules-fragmentation-bond-file.at \
-	$(srcdir)/./Molecules/ChangeBondAngle/testsuite-molecules-change-bond-angle.at \
-	$(srcdir)/./Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at \
-	$(srcdir)/./Molecules/SaveSelectedMolecules/testsuite-molecules-save-selected-molecules.at \
-	$(srcdir)/./Molecules/Remove/testsuite-molecules-remove.at \
-	$(srcdir)/./Molecules/SaveTemperature/testsuite-molecules-save-temperature.at \
-	$(srcdir)/./Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
-	$(srcdir)/./Molecules/SaveAdjacency/testsuite-molecules-save-adjacency.at \
-	$(srcdir)/./Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at \
-	$(srcdir)/./Molecules/VerletIntegration/testsuite-molecules-verlet-integration.at \
-	$(srcdir)/./Molecules/Copy/testsuite-molecules-copy-molecule.at \
-	$(srcdir)/./Molecules/StretchBond/testsuite-molecules-stretch-bond.at \
-	$(srcdir)/./Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
-	$(srcdir)/./Molecules/testsuite-molecules.at \
-	$(srcdir)/./Molecules/Translation/testsuite-molecules-translation.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-nowhere.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-everywhere.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cube.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cylinder.at \
-	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-sphere.at \
+	$(srcdir)/./Filling/testsuite-filling.at \
+	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid-with-minimum-distance-to-surface.at \
+	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid.at \
 	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at \
-	$(srcdir)/./Filling/RegularGrid/testsuite-fill-regular-grid.at \
+	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cube.at \
+	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-micelle.at \
 	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cylinder.at \
-	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-micelle.at \
+	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-sphere.at \
 	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-everywhere.at \
 	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-nowhere.at \
-	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-cube.at \
-	$(srcdir)/./Filling/FillSurface/testsuite-fill-surface-sphere.at \
-	$(srcdir)/./Filling/testsuite-filling.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-sphere.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cylinder.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-cube.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-everywhere.at \
+	$(srcdir)/./Filling/FillVolume/testsuite-fill-volume-nowhere.at \
 	$(srcdir)/./Filling/SuspendInWater/testsuite-suspend-in-water.at \
-	$(srcdir)/./Options/SetWorldTime/testsuite-options-set-world-time.at \
-	$(srcdir)/./Options/Warranty/testsuite-options-warranty.at \
-	$(srcdir)/./Options/Verbosity/testsuite-options-verbosity.at \
-	$(srcdir)/./Options/BondLengthTable/testsuite-options-bond-length-table.at \
-	$(srcdir)/./Options/SetDefaultName/testsuite-options-set-default-name.at \
-	$(srcdir)/./Options/ElementsDb/testsuite-options-elements-db.at \
-	$(srcdir)/./Options/Help/testsuite-options-help.at \
-	$(srcdir)/./Options/testsuite-options.at \
-	$(srcdir)/./Options/FastParsing/testsuite-options-fast-parsing.at
+	$(srcdir)/./Atoms/testsuite-atoms.at \
+	$(srcdir)/./Atoms/TranslationToOrigin/testsuite-atoms-translation-to-origin.at \
+	$(srcdir)/./Atoms/Add/testsuite-atoms-add.at \
+	$(srcdir)/./Atoms/RemoveCuboid/testsuite-atoms-remove-cuboid.at \
+	$(srcdir)/./Atoms/ChangeElement/testsuite-atoms-change-element.at \
+	$(srcdir)/./Atoms/Remove/testsuite-atoms-remove.at \
+	$(srcdir)/./Atoms/RemoveSphere/testsuite-atoms-remove-sphere.at \
+	$(srcdir)/./Atoms/Mirror/testsuite-atoms-mirror.at \
+	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate_carbon.at \
+	$(srcdir)/./Atoms/Saturate/testsuite-atoms-saturate_nitrogen.at \
+	$(srcdir)/./Atoms/SaveSelectedAtoms/testsuite-atoms-save-selected-atoms.at \
+	$(srcdir)/./Atoms/Translation/testsuite-atoms-translation.at \
+	$(srcdir)/./RandomNumbers/Distribution/testsuite-set-random-number-distribution.at \
+	$(srcdir)/./RandomNumbers/Engine/testsuite-set-random-number-engine.at \
+	$(srcdir)/./RandomNumbers/testsuite-randomnumbers.at \
+	$(srcdir)/./Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at \
+	$(srcdir)/./Domain/ScaleBox/testsuite-domain-scale-box.at \
+	$(srcdir)/./Domain/RepeatBox/testsuite-domain-repeat-box.at \
+	$(srcdir)/./Domain/CenterOnEdge/testsuite-domain-center-on-edge.at \
+	$(srcdir)/./Domain/SetBoundaryConditions/testsuite-domain-set-boundary-conditions.at \
+	$(srcdir)/./Domain/testsuite-domain.at \
+	$(srcdir)/./Domain/CenterInBox/testsuite-domain-center-in-box.at \
+	$(srcdir)/./Domain/BoundInBox/testsuite-domain-bound-in-box.at \
+	$(srcdir)/./Domain/ChangeBox/testsuite-domain-change-box.at \
+	$(srcdir)/./Tesselation/testsuite-tesselation.at \
+	$(srcdir)/./Tesselation/NonConvex/testsuite-tesselation-non-convex-envelope.at \
+	$(srcdir)/./Tesselation/TriangleMatcher/testsuite-tesselation-trianglematcher.at \
+	$(srcdir)/./Tesselation/BigNonConvex/testsuite-tesselation-big-non-convex-envelope.at \
+	$(srcdir)/./Tesselation/BigConvex/testsuite-tesselation-big-convex-envelope.at \
+	$(srcdir)/./Tesselation/Convex/testsuite-tesselation-convex-envelope.at
 
 DISTCLEANFILES = atconfig
Index: tests/GuiChecks/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at
===================================================================
--- tests/GuiChecks/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at	(revision 50d49dca91aa5db281d312ca5ee0fbad52557a21)
+++ tests/GuiChecks/Molecules/BondFile/testsuite-molecules-tremolo-dbond-file.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -28,5 +28,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-tremolo-dbond-file.py >session-molecules-tremolo-dbond-file_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-tremolo-dbond-file_new.py], 0, [stdout], [stderr])
-AT_CHECK([fgrep -c "CONECT 7153 6098 5949 5922" $file], 0, [1
+AT_CHECK([fgrep -c "CONECT   10    3    2    1" $file], 0, [1
 ], [ignore])
 
@@ -45,5 +45,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-tremolo-dbond-file.py >session-molecules-tremolo-dbond-file_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-tremolo-dbond-file_new.py], 0, [stdout], [stderr])
-AT_CHECK([fgrep -c "CONECT 7153 6098 5949 5922" $file], 0, [1
+AT_CHECK([fgrep -c "CONECT   10    3    2    1" $file], 0, [1
 ], [ignore])
 
@@ -62,5 +62,5 @@
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-tremolo-dbond-file.py >session-molecules-tremolo-dbond-file_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-tremolo-dbond-file_new.py], 0, [stdout], [stderr])
-AT_CHECK([fgrep -c "CONECT 7153 6098 5949 5922" $file], 0, [1
+AT_CHECK([fgrep -c "CONECT   10    3    2    1" $file], 0, [1
 ], [ignore])
 
Index: tests/GuiChecks/Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at
===================================================================
--- tests/GuiChecks/Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
+++ tests/GuiChecks/Potential/FitPartialCharges/testsuite-potential-fit-partial-charges.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -0,0 +1,37 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2013 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### fit partial particle charges
+
+# the potential has been generated by:
+# ./molecuilder -i pre/water.pdb --center-in-box "8,0,8,0,0,8" --select-all-atoms --fragment-molecule BondFragment --distance 2 --order 1 --fragment-automation --server-address 127.0.0.1 --server-port 1026 --DoLongrange 1 --grid 4 --DoPrintDebug 1 --DoValenceOnly 0 --analyse-fragment-results --store-grids 1 --save-homologies homology_grid_4_full.dat
+
+AT_SETUP([Potential - Fit partial charges to water])
+AT_KEYWORDS([potential parse-homologies fit-partial-charges])
+AT_SKIP_IF([../../molecuilder --help fit-partial-charges; if test $? -eq 5; then /bin/true; else /bin/false; fi])
+
+# homology file created with water.pdb and as follows:
+# molecuilder -i water.pdb --select-all-atoms --fragment-molecule --distance 2 --order 1 --fragment-automation --server-address 127.0.0.1 --server-port 1026 --DoLongrange 1 --grid 5 --store-grids 1 --analyse-fragment-results --save-homologies homology_grid.dat
+file=homology_grid.dat
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPartialCharges/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-homologies $file --fit-partial-charges --fragment-charges 8 1 1 --radius 1.5 --no-dry-run --store-session session-potential-fit-partial-charges.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-partial-charges.py >session-potential-fit-partial-charges_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-potential-fit-partial-charges_new.py], 0, [stdout], [ignore])
+# check that L_2 error is below 1e-6
+
+AT_CLEANUP
Index: tests/GuiChecks/Potential/FitParticleCharges/testsuite-potential-fit-partial-charges.at
===================================================================
--- tests/GuiChecks/Potential/FitParticleCharges/testsuite-potential-fit-partial-charges.at	(revision 50d49dca91aa5db281d312ca5ee0fbad52557a21)
+++ 	(revision )
@@ -1,37 +1,0 @@
-#
-#    MoleCuilder - creates and alters molecular systems
-#    Copyright (C) 2013 Frederik Heber
-#
-#    This program is free software: you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation, either version 3 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-### fit particle charges
-
-# the potential has been generated by:
-# ./molecuilder -i pre/water.pdb --center-in-box "8,0,8,0,0,8" --select-all-atoms --fragment-molecule BondFragment --distance 2 --order 1 --fragment-automation --server-address 127.0.0.1 --server-port 1026 --DoLongrange 1 --grid 4 --DoPrintDebug 1 --DoValenceOnly 0 --analyse-fragment-results --store-grids 1 --save-homologies homology_grid_4_full.dat
-
-AT_SETUP([Potential - Fit particle charges to water])
-AT_KEYWORDS([potential parse-homologies fit-partial-charges])
-AT_SKIP_IF([../../molecuilder --help fit-partial-charges; if test $? -eq 5; then /bin/true; else /bin/false; fi])
-
-# homology file created with water.pdb and as follows:
-# molecuilder -i water.pdb --select-all-atoms --fragment-molecule --distance 2 --order 1 --fragment-automation --server-address 127.0.0.1 --server-port 1026 --DoLongrange 1 --grid 5 --store-grids 1 --analyse-fragment-results --save-homologies homology_grid.dat
-file=homology_grid.dat
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPartialCharges/pre/$file $file], 0)
-AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run --parse-homologies $file --fit-partial-charges --potential-file water.particles --fragment-charges 8 1 1 --radius 1.5 --no-dry-run --store-session session-potential-fit-partial-charges.py --session-type python], 0, [stdout], [ignore])
-AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-partial-charges.py >session-potential-fit-partial-charges_new.py], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilderguitest session-potential-fit-partial-charges_new.py], 0, [stdout], [ignore])
-# check that L_2 error is below 1e-6
-
-AT_CLEANUP
Index: tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at
===================================================================
--- tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision 50d49dca91aa5db281d312ca5ee0fbad52557a21)
+++ tests/GuiChecks/Potential/FitPotential/testsuite-potential-fit-potential.at	(revision 2edf77120707be27630da194a92b100fa915ab7d)
@@ -26,10 +26,10 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "morse" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 1e-6 	--save-potentials length.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "morse" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 5e-6 	--save-potentials length.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
 # check that L_2 error is below 1e-6
 # check parameters to printed precision
-AT_CHECK([grep "morse:.*particle_type1=8,.*particle_type2=1,.*spring_constant=1.27.*,.*equilibrium_distance=1.78.*,.*dissociation_energy=0.19.*;" length.potentials], 0, [ignore], [ignore])
+AT_CHECK([grep "morse:.*particle_type1=8,.*particle_type2=1,.*spring_constant=1.2.*,.*equilibrium_distance=1.7.*,.*dissociation_energy=0.19.*;" length.potentials], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -42,8 +42,8 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 1e-6 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "harmonic_bond" 		--potential-charges 8 1 		--fragment-charges 1 8 1 		--set-threshold 5e-6 	--save-potentials harmonic.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
-# check that L_2 error is below 1e-6
+# check that L_2 error is below 5e-6
 # check parameters to printed precision
 AT_CHECK([grep "harmonic_bond:.*particle_type1=8,.*particle_type2=1,.*spring_constant=0.29.*,.*equilibrium_distance=1.8.*;" harmonic.potentials], 0, [ignore], [ignore])
@@ -74,5 +74,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "torsion" 		--potential-charges 6 6 6 6 		--fragment-charges 6 6 6 6 1 1 1 1 1 1 1 1 1 1 		--set-threshold 2e-10 	--save-potentials torsion.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=1;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "torsion" 		--potential-charges 6 6 6 6 		--fragment-charges 6 6 6 6 1 1 1 1 1 1 1 1 1 1 		--set-threshold 1e-9 	--save-potentials torsion.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
@@ -107,8 +107,8 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Potential/FitPotential/pre/$file $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=5;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "lennardjones" 		--potential-charges 18 18 		--fragment-charges 18 18 		--set-threshold 7e-9 	--save-potentials lj.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
+AT_CHECK([../../molecuilder --dry-run 	--parse-homologies $file 	--set-random-number-engine "lagged_fibonacci607" 		--random-number-engine-parameters "seed=5;" 	--set-random-number-distribution "uniform_real" 		--random-number-distribution-parameters "min=0;max=1;" 	--fit-potential 		--potential-type "lennardjones" 		--potential-charges 18 18 		--fragment-charges 18 18 		--set-threshold 7e-8 	--save-potentials lj.potentials --no-dry-run --store-session session-potential-fit-potential.py --session-type python], 0, [stdout], [ignore])
 AT_CHECK([grep -v "Command.*DryRun" session-potential-fit-potential.py >session-potential-fit-potential_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-potential-fit-potential_new.py], 0, [stdout], [ignore])
-# check that L_2 error is below 7e-11 ... just 7e-9 otherwise test takes too long
+# check that L_2 error is below 7e-11 ... just 7e-8 otherwise test takes too long
 # check parameters to printed precision
 AT_CHECK([grep "lennardjones:.*particle_type1=18,.*particle_type2=18,.*epsilon=.*,.*sigma=.*;" lj.potentials], 0, [ignore], [ignore])
